%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Test-Perl-Critic
Version:       1.04
Release:       1mamba
Summary:       Test::Perl::Critic - Use Perl::Critic in test programs
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/Test/Test-Perl-Critic-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-Perl-Critic
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-MCE
BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
Requires:      perl >= %perl_major_ver
Requires:      perl(Carp)
Requires:      perl(English)
Requires:      perl(Perl::Critic)
Requires:      perl(Perl::Critic::Utils)
Requires:      perl(Perl::Critic::Violation)
Requires:      perl(Test::Builder)

%description
Test::Perl::Critic wraps the Perl::Critic engine in a convenient subroutine suitable for test programs written using the Test::More framework. This makes it easy to integrate coding-standards enforcement into the build process. For ultimate convenience (at the expense of some flexibility), see the criticism pragma.

%prep
%setup -q -n Test-Perl-Critic-%{version}

%build
perl Build.PL installdirs=vendor
./Build
./Build test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

chmod -R u+w %{buildroot}/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{perl_vendorlib}/
%{_mandir}/man3/*.3pm.gz
%doc Changes LICENSE README

%changelog
* Sat Feb 27 2021 Automatic Build System <autodist@mambasoft.it> 1.04-1mamba
- automatic version update by autodist

* Sat Feb 01 2020 Automatic Build System <autodist@mambasoft.it> 1.03-1mamba
- automatic update by autodist

* Fri Feb 18 2011 gil <puntogil@libero.it> 1.02-1mamba
- package created by autospec
